name: librlyeh

short_description: "The module librlyeh provides functions and datastructures to interact with OCI registries"
long_description: ""

type: library
category: lcm

urls:
  opensource: "https://gitlab.com/prpl-foundation/lcm/libraries/librlyeh"

licenses:
  - name: "BSD-2-Clause-Patent"

configs:
  CONFIG_SAH_LIB_RLYEH:
    super: True
    default: y
    type: bool
    description: "Build librlyeh"

makefiles:
  compile:
    - directory: "src"
  clean:
    - directory: "src"
    - directory: "test"
  doc:
    - directory: "doc"
      target: "doc"
  test:
    - directory: "test"
      target: "run"
    - directory: "test"
      target: "coverage"

artifacts:
- source: "include/rlyeh/*.h"
  destination: "$(INCLUDEDIR)/rlyeh/"
  permissions: "0644"
- source: "config/registry-auth.json"
  destination: "/etc/amx/$(COMPONENT)/registry-auth.json"
  permissions: "0644"
- source: "config/policy.json"
  destination: "/etc/amx/$(COMPONENT)/policy.json"
  permissions: "0644"
- source: "config/sigstore.json"
  destination: "/etc/amx/$(COMPONENT)/sigstore.json"
  permissions: "0644"
- source: "output/$(MACHINE)/$(COMPONENT).so.$(VERSION)"
  destination: "$(LIBDIR)/$(COMPONENT).so.$(VERSION)"
  permissions: "0644"
  version: True

dependencies:
  compile:
  - name: "libamxc"
    min: "*"
  - name: "libamxj"
    min: "*"
  - name: "libamxm"
    min: "*"
  - name: "yajl"
    min: "gen_2.1.0_v1.0.0"
  - name: "libocispec"
    min: "*"
  - name: "openssl"
    min: "gen_1.1.1s"
  - name: "curl"
    min: "gen_8.7.1_v0.1.0"
  - name: "libsahtrace"
    min: "*"
  - name: "liblcm"
    min: "*"

  runtime:
  - name: "libamxc"
  - name: "libamxj"
  - name: "libamxm"
  - name: "yajl"
  - name: "libocispec"
  - name: "openssl"
  - name: "curl"
  - name: "libsahtrace"
  - name: "liblcm"
